#include <stdlib.h>
#include <unistd.h>
#include <glib.h>
#include <glib/gprintf.h>

/* EXO 2.1 */

int main(int argc, char* argv[]){
  g_printf(" === EXO 2.1  === \n");
  // génération d'un  nombre aléatoire 
  GRand* grand = g_rand_new();
  gint irand = (g_rand_int (grand) % 10);
  g_rand_free(grand);

  g_print(" Nombre aleatoire : %d \n", irand );

  irand = irand  *  1000000;
  GTimer *timer = g_timer_new (); // création d'un timer 
  g_usleep (irand);               // faire dodo 
  g_timer_stop(timer);            // on arrte le timer 
  // On compte le temps écoulé 
  gdouble time_sleep = time_sleep = g_timer_elapsed(timer,NULL);
  g_print(" time_sleep  %f \n", time_sleep );
  g_timer_destroy(timer);        // On détruit le timer 
  return 0;
}
